Loading...
Searching...
No Matches
Ui::CObjectInterface Class Reference

## Public Member Functions

| CObjectInterface (COldObject *object)
void | DeleteObject (bool all=false)
bool | EventProcess (const Event &event)
bool | CreateInterface (bool bSelect)
void | UpdateInterface (float rTime)
void | UpdateInterface ()

## Protected Member Functions

bool | EventFrame (const Event &event)
void | StartEditScript (Program *program, std::string name)
| Start the program editor.
void | StopEditScript (bool closeWithErrors)
| Close the program editor.
void | GroundFlat ()
void | ColorFlag (int color)
void | UpdateScript (CWindow *pw)
int | GetSelScript ()
void | SetSelScript (int index)
void | BlinkScript (bool bEnable)
void | CheckInterface (CWindow *pw, EventType event, bool bState)
void | EnableInterface (CWindow *pw, EventType event, bool bState)
void | DeadInterface (CWindow *pw, EventType event, bool bState)
void | DefaultEnter (CWindow *pw, EventType event, bool bState=true)

## Protected Attributes

Gfx::CEngine * | m_engine
Gfx::CTerrain * | m_terrain
Gfx::CWater * | m_water
Gfx::CCamera * | m_camera
Gfx::CParticle * | m_particle
CRobotMain * | m_main
CInterface * | m_interface
CSoundInterface * | m_sound
COldObject * | m_object
CTaskExecutorObject * | m_taskExecutor
CProgrammableObject * | m_programmable
CProgramStorageObject * | m_programStorage
CPhysics * | m_physics
CMotion * | m_motion
std::unique_ptr< CStudio > | m_studio
int | m_selScript
EventType | m_manipStyle
EventType | m_defaultEnter
float | m_time
float | m_lastUpdateTime
float | m_lastAlarmTime
int | m_soundChannelAlarm
int | m_flagColor
bool | m_buildInterface

## Member Function Documentation

## StartEditScript()

void Ui::CObjectInterface::StartEditScript | ( | Program * | program,
|  | std::string | name )

protected

Start the program editor.

Parameters

  program | Program instance to edit
  name | Program name, used only if the program is empty to insert main function stub code

Remarks
  If the editor is already open, the behaviour is undefined

## StopEditScript()

void Ui::CObjectInterface::StopEditScript | ( | bool | closeWithErrors | ) |

protected

Close the program editor.

Parameters

  closeWithErrors | If true, the editor will be forced to close even if the program contains errors

Remarks
  If the editor isn't open, the behaviour is undefined

The documentation for this class was generated from the following files:

- src/ui/object_interface.h
- src/ui/object_interface.cpp